<?PHP
/*
 *	graceful_activate:
 *		1 -> reboot
 *		2 -> orange activate
 *		3 -> red activate
 *	The activate overwrite the reboot. But the reboot does not 
 *	overwrite the activate.
 */

$exec 		= 1;
$invalid 	= array();
$berogui	= '/usr/local/www/berogui';

include_once($berogui .'/includes/Helper/Helper.php');
include_once($berogui .'/misc/database.php');

/* [CHECK SESSION] */
$newTarget = "/app/berogui/index.php?m={$_GET['m']}";
require_once($berogui .'/includes/session.php');
unset($newTarget);

/* [CHECK GET REQUEST] */
$list_get = array('m' => 'm', 'action' => 'select');
$list_options = array(
	'action' => array('activate', 'cancel', 'reboot'),
);

$_GET = Helper::sanitizeGet($_GET, $list_get, $exec, $invalid, $list_options);
if (!$exec) {
        echo "<script>window.location='../index.php?m={$_GET['m']}&error=1&request={$invalid['request']}&checkor={$invalid['checkor']}&key={$invalid['key']}'</script>";
        exit(1);

}

$ba = new beroAri();

/* [EXECUTE] */
switch ($_GET['action']) {
	case 'activate':
		$ba->set('graceful_action', $ba->get('activate'));
		$ba->set('activate', '0');
		Helper::addGracefulToCrontab($_GET['action'], array('old' => 'reboot', 'new' => 'activate'));
		break;
	case 'cancel':
		$graceful_action = $ba->get('graceful_action');
		if ($graceful_action > 1) {
			$ba->set('activate', $graceful_action);
			$ba->set('graceful_action', '0');
		}
		Helper::removeGracefulToCrontab();
		break;
	case 'reboot':
		$ba->set('graceful_action', '1');
		Helper::addGracefulToCrontab($_GET['action']);
		break;
	default:
		// should not happen since checked from the php validator
		break;
}
echo "<script>window.location='../index.php?m={$_GET['m']}'</script>";
?>
